# $Revision: 1.26 $, $Date: 2009/10/13 09:08:10 $
# Conditional build:
%bcond_without	allegro     # without allegro support
#
Summary:	Guichan - small, efficient C++ GUI library designed for games
Summary(pl.UTF-8):	Guichan - mała, wydajna biblioteka GUI w C++ przeznaczona do gier
Name:		guichan
Version:	0.8.2
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://guichan.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	af535d7f387e774e3197cef8023ea105
URL:		http://guichan.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
%{?with_allegro:BuildRequires:      allegro-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Guichan is a small, efficient C++ GUI library designed for games. It
comes with a standard set of widgets and can use several different
objects for displaying graphics and grabbing user input.

%description -l pl.UTF-8
Guichan to mała, wydajna biblioteka GUI w C++ przeznaczona do gier.
Zawiera standardowy zestaw widgetów, może używać kilku różnych
obiektów do wyświetlania grafiki i pobierania wejścia od użytkownika.

%package devel
Summary:	Header files for Guichan library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Guichan
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for Guichan library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Guichan.

%package static
Summary:	Static version of Guichan libraries
Summary(pl.UTF-8):	Statyczne wersje bibliotek Guichan
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of Guichan libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek Guichan.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_allegro:--disable-allegro}
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libguichan*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libguichan*.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libguichan*.so
%{_libdir}/libguichan*.la
%{_includedir}/guichan*
%{_pkgconfigdir}/guichan*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libguichan*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: guichan.spec,v $
Revision 1.26  2009/10/13 09:08:10  lisu
- up to 0.8.2
- .pc file included into pkgconfigdir
- no more undefined references

Revision 1.25  2009/02/02 09:53:05  lisu
- TODO

Revision 1.24  2009/01/01 18:55:00  arvenil
- release 2

Revision 1.23  2008/08/16 14:14:39  pablo
- added %{__libtoolize} and BR: libtool

Revision 1.22  2008/04/27 17:27:18  lisu
- enable allegro by default (now it works)

Revision 1.21  2008-04-27 17:23:15  lisu
- builds with allegro
- TODO

Revision 1.20  2008-04-27 17:16:56  lisu
- up to 0.8.1
- ghost soname symlinks

Revision 1.19  2008-04-16 12:52:12  lisu
- 0.8.0

Revision 1.18  2007-07-15 17:54:28  lisu
- 0.7.1

Revision 1.17  2007/07/02 21:57:56  lisu
- 0.7.0

Revision 1.16  2007/06/14 18:20:12  arekm
- rel 2

Revision 1.15  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.13  2007/01/27 11:29:14  lisu
- 0.6.1

Revision 1.12  2007/01/18 15:33:58  lisu
- 0.6.0
- auto* macros added

Revision 1.11  2006/08/03 09:35:57  spider
- up to 0.5.0
- patch aplied in sources

Revision 1.10  2006/05/22 11:07:37  spider
- rel 2

Revision 1.9  2006/05/22 10:36:52  spider
- added patch from gentoo

Revision 1.8  2006/04/25 09:22:02  spider
- sorted brs

Revision 1.7  2006/03/02 14:20:52  spider
- rel 1
- stbr

Revision 1.6  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.5  2005/06/11 12:43:41  spider
- polished

Revision 1.4  2005/06/11 09:52:59  qboosh
- really disable allegro by default (broken, doesn't build)
- standard base/-devel/-static split
- license is standard 3-clause BSD

Revision 1.3  2005/06/11 08:29:08  qboosh
- BR: OpenGL-devel instead of X11- implementation
- pl

Revision 1.2  2005/06/11 06:54:28  spider
- missing br

Revision 1.1  2005/06/10 12:59:44  spider
- init pld
- nfy
- need: pl summary, check %files section, check conditional build
